/**
 */
var console = {
}
/**
 * @syntax console.warn(obj1 [, obj2, ..., objN);<br>console.warn(msg [, subst1, ..., substN);
 * @param {Object} obj1
 * @returns {undefined}
 * @static
 */
console.warn = function(obj1 ) {};

/**
 * @syntax console.time(timerName);
 * @param {String} timerName
 * @returns {undefined}
 * @static
 */
console.time = function(timerName) {};

/**
 * @syntax console.timeEnd(timerName);
 * @param {String} timerName
 * @returns {undefined}
 * @static
 */
console.timeEnd = function(timerName) {};

/**
 * @syntax console.error(obj1 [, obj2, ..., objN);<br>console.error(msg [, subst1, ..., substN);
 * @param {Object} obj1
 * @returns {undefined}
 * @static
 */
console.error = function(obj1 ) {};

/**
 * @syntax console.dir(object);
 * @param {Object} object
 * @returns {undefined}
 * @static
 */
console.dir = function(object) {};

/**
 * @syntax console.trace()
 * @returns {undefined}
 * @static
 */
console.trace = function() {};

/**
 * @syntax console.groupCollapsed()
 * @returns {undefined}
 * @static
 */
console.groupCollapsed = function() {};

/**
 * @syntax console.group()
 * @returns {undefined}
 * @static
 */
console.group = function() {};

/**
 * @syntax console.log(obj1 [, obj2, ..., objN);<br>console.log(msg [, subst1, ..., substN);
 * @param {Object} obj1
 * @returns {undefined}
 * @static
 */
console.log = function(obj1 ) {};

/**
 * @syntax console.info(obj1 [, obj2, ..., objN);<br>console.info(msg [, subst1, ..., substN);
 * @param {Object} obj1
 * @returns {undefined}
 * @static
 */
console.info = function(obj1 ) {};

/**
 * @syntax console.groupEnd()
 * @returns {undefined}
 * @static
 */
console.groupEnd = function() {};

/**
 * Represents the console prototype object.
 * @syntax console.prototype
 * @static
 */
console.prototype;

