/**
 */
var navigator = {
}
/**
 * @syntax window.navigator.registerContentHandler(mimeType, uri, title);
 * @param {String} mimeType
 * @param {String} uri
 * @param {String} title
 * @returns {undefined}
 * @static
 */
navigator.registerContentHandler = function(mimeType,  uri,  title) {};

/**
 * @returns {Boolean}
 * @static
 */
navigator.cookieEnabled = new Boolean();

/**
 * @returns {String}
 * @static
 */
navigator.platform = new String();

/**
 * @returns {String}
 * @static
 */
navigator.buildID = new String();

/**
 * @returns {String}
 * @static
 */
navigator.userAgent = new String();

/**
 * @returns {String}
 * @static
 */
navigator.oscpu = new String();

/**
 * @returns {Array}
 * @static
 */
navigator.plugins = new Array();

/**
 * @returns {String}
 * @static
 */
navigator.vendor = new String();

/**
 * @syntax window.navigator.registerProtocolHandler(protocol, uri, title);
 * @param {String} protocol
 * @param {String} uri
 * @param {String} title
 * @returns {undefined}
 * @static
 */
navigator.registerProtocolHandler = function(protocol,  uri,  title) {};

/**
 * @returns {String}
 * @static
 */
navigator.mimeTypes = new String();

/**
 * @syntax result = window.navigator.javaEnabled();
 * @returns {Boolean}
 * @static
 */
navigator.javaEnabled = function() {};

/**
 * @returns {String}
 * @static
 */
navigator.appCodeName = new String();

/**
 * @returns {Boolean}
 * @static
 */
navigator.onLine = new Boolean();

/**
 * @returns {String}
 * @static
 */
navigator.vendorSub = new String();

/**
 * @returns {String}
 * @static
 */
navigator.appName = new String();

/**
 * @returns {String}
 * @static
 */
navigator.product = new String();

/**
 * @returns {String}
 * @static
 */
navigator.doNotTrack = new String();

/**
 * @returns {String}
 * @static
 */
navigator.appVersion = new String();

/**
 * @returns {String}
 * @static
 */
navigator.productSub = new String();

/**
 * @returns {String}
 * @static
 */
navigator.language = new String();

/**
 * Represents the navigator prototype object.
 * @syntax navigator.prototype
 * @static
 */
navigator.prototype;

